﻿namespace TestProject
{
    /// <summary>
    /// 위치 서비스
    /// </summary>
    public class LocationService : ILocationService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 위치 구하기 - GetLocation()

        /// <summary>
        /// 위치 구하기
        /// </summary>
        /// <returns>(위도, 경로)</returns>
        public async Task<(double Latitude, double Longitude)> GetLocation()
        {
            double latitude  = 0d;
            double longitude = 0d;

            PermissionStatus status = await Permissions.RequestAsync<Permissions.LocationWhenInUse>();

            if(status == PermissionStatus.Granted)
            {
                GeolocationRequest request = new GeolocationRequest(GeolocationAccuracy.Default, TimeSpan.FromSeconds(10));

                Location location = await Geolocation.GetLocationAsync(request);

                latitude  = location.Latitude;
                longitude = location.Longitude;
            }

            return (latitude, longitude);
        }

        #endregion
    }
}